summaryrefslogtreecommitdiffstats
path: root/network/lldpd
diff options
context:
space:
mode:
author Thibaut Notteboom <thibaut.notteboom@gmail.com>2017-03-12 00:18:06 +0000
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2017-03-18 06:58:13 +0700
commit287346028fe6fff374c4be88e1156ea0e079e7fe (patch)
tree9858c83480ca2e6accbcc006210751671e799dba /network/lldpd
parentfe183a3c4da659e7b148b737d17d1f00d16faadd (diff)
downloadslackbuilds-287346028fe6fff374c4be88e1156ea0e079e7fe.tar.gz
slackbuilds-287346028fe6fff374c4be88e1156ea0e079e7fe.tar.xz
network/lldpd: Added (an implementation of IEEE 802.1ab (LLDP)).
Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
Diffstat (limited to 'network/lldpd')
-rw-r--r--network/lldpd/README17
-rw-r--r--network/lldpd/README.SBo17
-rw-r--r--network/lldpd/doinst.sh22
-rw-r--r--network/lldpd/lldpd.SlackBuild118
-rw-r--r--network/lldpd/lldpd.info10
-rw-r--r--network/lldpd/rc.lldpd33
-rw-r--r--network/lldpd/slack-desc19
7 files changed, 236 insertions, 0 deletions
diff --git a/network/lldpd/README b/network/lldpd/README
new file mode 100644
index 0000000000..0ba51be182
--- /dev/null
+++ b/network/lldpd/README
@@ -0,0 +1,17 @@
+LLDP allows you to know exactly on which port is a server (and
+reciprocally). It is an industry standard protocol designed to
+supplant proprietary Link-Layer protocols such as EDP or CDP. The goal
+of LLDP is to provide an inter-vendor compatible mechanism to deliver
+Link-Layer notifications to adjacent network devices.
+
+lldpd is an ISC-licensed implementation of LLDP for various Unixes. It
+also supports some proprietary protocols.
+
+
+Groupname and Username
+
+You must have the '_lldpd' group and user to run this script,
+for example:
+
+ groupadd -g 347 _lldpd
+ useradd -u 347 -d /run/lldpd -s /bin/false -g _lldpd _lldpd
diff --git a/network/lldpd/README.SBo b/network/lldpd/README.SBo
new file mode 100644
index 0000000000..ea6cad9264
--- /dev/null
+++ b/network/lldpd/README.SBo
@@ -0,0 +1,17 @@
+README.SBo
+==========
+
+To start lldpd automatically at system startup, add the following to
+your /etc/rc.d/rc.local:
+
+ if [ -x /etc/rc.d/rc.lldpd ]; then
+ /etc/rc.d/rc.lldpd start
+ fi
+
+To stop lldpd automatically at system shutdown, add the following to
+your /etc/rc.d/rc.local_shutdown:
+
+ if [ -x /etc/rc.d/rc.lldpd ]; then
+ /etc/rc.d/rc.lldpd stop
+ fi
+
diff --git a/network/lldpd/doinst.sh b/network/lldpd/doinst.sh
new file mode 100644
index 0000000000..6e2e97c921
--- /dev/null
+++ b/network/lldpd/doinst.sh
@@ -0,0 +1,22 @@
+config() {
+ if [ ! -r $OLD ]; then
+ mv $NEW $OLD
+ elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
+ # toss the redundant copy
+ rm $NEW
+ fi
+ # Otherwise, we leave the .new copy for the admin to consider...
+}
+
+preserve_perms() {
+ NEW="$1"
+ OLD="$(dirname $NEW)/$(basename $NEW .new)"
+ if [ -e $OLD ]; then
+ cp -a $OLD ${NEW}.incoming
+ cat $NEW > ${NEW}.incoming
+ mv ${NEW}.incoming $NEW
+ fi
+ config $NEW
+}
+
+preserve_perms etc/rc.d/rc.lldpd.new
diff --git a/network/lldpd/lldpd.SlackBuild b/network/lldpd/lldpd.SlackBuild
new file mode 100644
index 0000000000..8f7082b9fe
--- /dev/null
+++ b/network/lldpd/lldpd.SlackBuild
@@ -0,0 +1,118 @@
+#!/bin/sh
+
+# Slackware build script for lldpd
+
+# Copyright 2017 Thibaut Notteboom, Paris, FRANCE
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=lldpd
+VERSION=${VERSION:-0.9.6}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+if [ "$(grep ^_lldpd /etc/passwd)" = "" -o "$(grep ^_lldpd /etc/group)" = "" ] ; then
+ printf "\nYou must have a lldpd user and group.\n\nExample:\n"
+ printf "\t# groupadd -g 347 _lldpd\n"
+ printf "\t# useradd -d /run/lldpd -s /bin/false -u 347 -g _lldpd _lldpd\n\n"
+ exit 1
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --enable-static=no \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --with-snmp \
+ --with-privsep-user=_lldpd \
+ --with-privsep-group=_lldpd \
+ --with-privsep-chroot=/run/lldpd/chroot \
+ --with-lldpd-ctl-socket=/run/lldpd/socket \
+ --with-lldpd-pid-file=/run/lldpd/pid \
+ --build=$ARCH-slackware-linux
+
+make
+make check
+make install-strip DESTDIR=$PKG
+
+mkdir -p $PKG/etc/rc.d
+cat $CWD/rc.lldpd > $PKG/etc/rc.d/rc.lldpd.new
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+cat $CWD/README.SBo > $PKG/usr/doc/$PRGNAM-$VERSION/README.SBo
+
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/network/lldpd/lldpd.info b/network/lldpd/lldpd.info
new file mode 100644
index 0000000000..e380947803
--- /dev/null
+++ b/network/lldpd/lldpd.info
@@ -0,0 +1,10 @@
+PRGNAM="lldpd"
+VERSION="0.9.6"
+HOMEPAGE="http://vincentbernat.github.io/lldpd/"
+DOWNLOAD="https://media.luffy.cx/files/lldpd/lldpd-0.9.6.tar.gz"
+MD5SUM="0dcdee7c1b3c62362d73f6508c11edae"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Thibaut Notteboom"
+EMAIL="thibaut.notteboom@gmail.com"
diff --git a/network/lldpd/rc.lldpd b/network/lldpd/rc.lldpd
new file mode 100644
index 0000000000..023173b6c1
--- /dev/null
+++ b/network/lldpd/rc.lldpd
@@ -0,0 +1,33 @@
+#!/bin/sh
+
+mkdir -p /run/lldpd
+
+lldpd_start() {
+ /usr/sbin/lldpd >/dev/null 2>&1
+}
+
+lldpd_stop() {
+ killall lldpd
+}
+
+restart() {
+ lldpd_stop
+ sleep 1
+ lldpd_start
+}
+
+case "$1" in
+ 'start')
+ lldpd_start
+ ;;
+ 'stop')
+ lldpd_stop
+ ;;
+ 'restart')
+ lldpd_restart
+ ;;
+ *)
+ echo "Usage: $0 start|stop|restart"
+ ;;
+esac
+
diff --git a/network/lldpd/slack-desc b/network/lldpd/slack-desc
new file mode 100644
index 0000000000..b4b45dba52
--- /dev/null
+++ b/network/lldpd/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+lldpd: lldpd (an implementation of IEEE 802.1ab (LLDP))
+lldpd:
+lldpd: LLDP allows you to know exactly on which port is a server (and
+lldpd: reciprocally). It is an industry standard protocol designed to
+lldpd: supplant proprietary Link-Layer protocols such as EDP or CDP. The goal
+lldpd: of LLDP is to provide an inter-vendor compatible mechanism to deliver
+lldpd: Link-Layer notifications to adjacent network devices.
+lldpd:
+lldpd: lldpd is an ISC-licensed implementation of LLDP for various Unixes. It
+lldpd: also supports some proprietary protocols.
+lldpd: